Debian Bug report logs - #612445
broadcom-sta-source needs patch to compile on a different kernel config

version graph

Package: broadcom-sta-source; Maintainer for broadcom-sta-source is Cyril Lacoux <clacoux@easter-eggs.com>; Source for broadcom-sta-source is src:broadcom-sta.

Reported by: Anisse Astier <anisse@astier.eu>

Date: Tue, 8 Feb 2011 14:57:01 UTC

Severity: important

Tags: patch, sid, squeeze, upstream, wheezy

Found in version broadcom-sta/5.60.48.36-3

Fixed in version broadcom-sta/5.100.82.38-1

Done: Cyril Lacoux <clacoux@easter-eggs.com>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, clacoux@easter-eggs.com, Cyril Lacoux (Yack) <clacoux@easter-eggs.com>:
Bug#612445; Package broadcom-sta-source. (Tue, 08 Feb 2011 14:57:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Anisse Astier <anisse@astier.eu>:
New Bug report received and forwarded. Copy sent to clacoux@easter-eggs.com, Cyril Lacoux (Yack) <clacoux@easter-eggs.com>. (Tue, 08 Feb 2011 14:57:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Anisse Astier <anisse@astier.eu>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: broadcom-sta-source needs patch to compile on a different kernel config
Date: Tue, 08 Feb 2011 15:55:19 +0100
[Message part 1 (text/plain, inline)]
Package: broadcom-sta-source
Version: 5.60.48.36-3
Severity: important
Tags: squeeze sid upstream patch

Hi,

Using kernel 2.6.35, I have a compilation error with the broadcom-sta driver:

In file included from /usr/src/modules/broadcom-sta/i386/src/wl/sys/wl_iw.c:35:
/usr/src/modules/broadcom-sta/i386/src/wl/sys/wl_iw.h:65: error: field
‘sysioc_sem’ has incomplete type
make[3]: *** [/usr/src/modules/broadcom-sta/i386/src/wl/sys/wl_iw.o] Error 1
make[2]: *** [_module_/usr/src/modules/broadcom-sta/i386] Error 2
make[2]: Leaving directory `/usr/src/linux-2.6.35-stable/linux-source'
make[1]: *** [binary-modules] Error 2
make[1]: Leaving directory `/usr/src/modules/broadcom-sta'
make: *** [kdist_build] Error 2

It seems the driver does not include linux/semaphore.h, and that causes
problems with my kernel config. See example:
http://thread.gmane.org/gmane.linux.kernel.next/14811/focus=59868

So I did another patch for broadcom-sta source package. You'll find it
attached.

Regards,

Anisse



-- System Information:
Debian Release: 6.0
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'stable')
Architecture: i386 (i686)

Kernel: Linux 2.6.34-00001-g8a9bb65 (SMP w/1 CPU core; PREEMPT)
Locale: LANG=fr_FR.UTF-8, LC_CTYPE=fr_FR.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages broadcom-sta-source depends on:
ii  bzip2                         1.0.5-6    high-quality block-sorting file co
ii  debhelper                     8.1.0      helper programs for debian/rules
ii  make                          3.81-8     An utility for Directing compilati
ii  quilt                         0.48-7     Tool to work with series of patche

Versions of packages broadcom-sta-source recommends:
pn  module-assistant              <none>     (no description available)
[04-linux-semaphore-include.patch (text/x-diff, attachment)]

Added tag(s) wheezy. Request was from Kurt Roeckx <kurt@roeckx.be> to control@bugs.debian.org. (Wed, 16 Feb 2011 19:05:03 GMT) Full text and rfc822 format available.

Reply sent to Cyril Lacoux <clacoux@easter-eggs.com>:
You have taken responsibility. (Tue, 22 Feb 2011 11:21:20 GMT) Full text and rfc822 format available.

Notification sent to Anisse Astier <anisse@astier.eu>:
Bug acknowledged by developer. (Tue, 22 Feb 2011 11:21:20 GMT) Full text and rfc822 format available.

Message #12 received at 612445-close@bugs.debian.org (full text, mbox):

From: Cyril Lacoux <clacoux@easter-eggs.com>
To: 612445-close@bugs.debian.org
Subject: Bug#612445: fixed in broadcom-sta 5.100.82.38-1
Date: Tue, 22 Feb 2011 11:17:09 +0000
Source: broadcom-sta
Source-Version: 5.100.82.38-1

We believe that the bug you reported is fixed in the latest version of
broadcom-sta, which is due to be installed in the Debian FTP archive:

broadcom-sta-common_5.100.82.38-1_all.deb
  to non-free/b/broadcom-sta/broadcom-sta-common_5.100.82.38-1_all.deb
broadcom-sta-source_5.100.82.38-1_all.deb
  to non-free/b/broadcom-sta/broadcom-sta-source_5.100.82.38-1_all.deb
broadcom-sta_5.100.82.38-1.debian.tar.gz
  to non-free/b/broadcom-sta/broadcom-sta_5.100.82.38-1.debian.tar.gz
broadcom-sta_5.100.82.38-1.dsc
  to non-free/b/broadcom-sta/broadcom-sta_5.100.82.38-1.dsc
broadcom-sta_5.100.82.38.orig.tar.gz
  to non-free/b/broadcom-sta/broadcom-sta_5.100.82.38.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 612445@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Cyril Lacoux <clacoux@easter-eggs.com> (supplier of updated broadcom-sta package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Thu, 10 Feb 2011 09:21:50 +0400
Source: broadcom-sta
Binary: broadcom-sta-common broadcom-sta-source
Architecture: source all
Version: 5.100.82.38-1
Distribution: unstable
Urgency: low
Maintainer: Cyril Lacoux <clacoux@easter-eggs.com>
Changed-By: Cyril Lacoux <clacoux@easter-eggs.com>
Description: 
 broadcom-sta-common - Common files for the Broadcom STA Wireless driver
 broadcom-sta-source - Source for the Broadcom STA Wireless driver
Closes: 591869 597786 601009 605715 611539 612445
Changes: 
 broadcom-sta (5.100.82.38-1) unstable; urgency=low
 .
   * New upstream release (Closes: #605715).
   * Switch to dpkg-source 3.0 (quilt) format.
   * Updated my e-mail.
   * Rebuild initrd when broadcom-sta-common is configured (Closes: #591869).
   * Added brcm80211 driver to blacklist as requested by Ben Hutchings
     (Closes: #597786, #601009, #611539).
   * Added upstream changelog and README.txt files.
   * Removed applyed upstream patch for 2.6.33 compatibility.
   * Removed applyed upstream patch for 2.6.35 compatibility.
   * Added patch to compile with 2.6.37.
   * Added patch from Anisse Astier <anisse@astier.eu> to compile with minimal
     kernel configuration (Closes: #612445).
Checksums-Sha1: 
 f4036c13127a34a4575fb859d3c4c66bf892fad6 1159 broadcom-sta_5.100.82.38-1.dsc
 e46e20435f332fb977d57330758639a59a8bb8b3 2351975 broadcom-sta_5.100.82.38.orig.tar.gz
 780ff78b2873728a80f1586f4bf526146e9a898d 13236 broadcom-sta_5.100.82.38-1.debian.tar.gz
 6044520b478aeee4aa445e691f7ffef82baceaa3 10888 broadcom-sta-common_5.100.82.38-1_all.deb
 1a215b68633a51daad6d17b97108f199f2ca0538 2080984 broadcom-sta-source_5.100.82.38-1_all.deb
Checksums-Sha256: 
 8bf06e4e39ba2b49958f6e4955bb0a408f0380205a948ceb1ef1d1e19c850a21 1159 broadcom-sta_5.100.82.38-1.dsc
 ee3b0f8218ee14ee3727243466b6b33e5ee01a50fa16c9247d35bc76dbfe8bc4 2351975 broadcom-sta_5.100.82.38.orig.tar.gz
 d7cf989604e39417d7d026af80bbd927eafe5c9aeb8feb76a58d106966d1b20b 13236 broadcom-sta_5.100.82.38-1.debian.tar.gz
 2ecc1ec1048da8db0c792456702bb345420b37fd06848912d230f4f3d6835862 10888 broadcom-sta-common_5.100.82.38-1_all.deb
 3ed84a3db56cb15e5c2b8188d4bc6ba50cc57a0ef46189718861b580fb888c4c 2080984 broadcom-sta-source_5.100.82.38-1_all.deb
Files: 
 db22dd7d6ecfc02ac8429a45f0cfd623 1159 non-free/admin optional broadcom-sta_5.100.82.38-1.dsc
 e4a71f51ca779887609c71a9e40cef47 2351975 non-free/admin optional broadcom-sta_5.100.82.38.orig.tar.gz
 1655fafc89bc7976d47ca05e65a492a4 13236 non-free/admin optional broadcom-sta_5.100.82.38-1.debian.tar.gz
 d93c236e93c2650f28aa5a8e0006dab6 10888 non-free/admin optional broadcom-sta-common_5.100.82.38-1_all.deb
 dd028dd98632f25a5431ff447700e09f 2080984 non-free/admin optional broadcom-sta-source_5.100.82.38-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iEYEARECAAYFAk1jl9QACgkQpGK1HsL+5c0SqQCgimlTWVi6T53uWFb+J9jFJRC+
ldUAnRASz/Jun5qVNs/Q84B0xKhebxSQ
=/KtE
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 02 Apr 2011 07:36:31 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 08:15:16 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.